package com.caimei.module.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * cm_mall_product_ladder_price
 * @author
 */
@Data
public class CmMallProductLadderPrice implements Serializable {
    private Long id;
    /** 商品id,具体对应cm_mall_organize_products表的ID */
    private Long productId;
    /** 第几阶梯(最多可设置3阶梯) */
    private Long ladderNum;
    /** 购买数量（起订量） */
    private Long buyNum;
    /** 购买价格（对应起订量单价） */
    private BigDecimal buyPrice;
    /** 创建人(cm_mall_admin_user表ID) */
    private Long createBy;
    /** 创建时间 */
    private Date createDate;
    /** 最后更新人(cm_mall_admin_user表ID) */
    private Long updateBy;
    /** 最后更新时间 */
    private Date updateDate;
    /** 删除标记  0 否，其余是 */
    private String delFlag;
    private static final long serialVersionUID = 1L;
}
